# Retrieve Transaction Documents
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/transactions-and-fees-management/retrieve-trans-docs/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving transaction documents for a specified contract (account contract or card contract).

Note: In this test case, the response is limited to one record by default but you can enter different value (up to 15) in `limit` and `offset` query parameters in the request to test the pagination. For this test case, use the following information in the request:

<br />

|     Query parameter      | Available value |
|--------------------------|-----------------|
| `transaction_type_codes` | 0515            |
|                          | 0719            |

**Sample request**

`GET /transaction-documents?date_from=2031-06-25&date_to=2031-09-25&limit=1&offset=0`

**Sample response**

`200`

```JSON
{
    "count": 1,
    "limit": 1,
    "offset": 0,
    "total": 15,
    "transactionDocuments": [
        {
            "transactionBaseInfo": {
                "cardExpiryDate": "3004",
                "cardSequenceNumber": "2",
                "postingDate": "2031-06-25",
                "postingStatus": "Decline Service",
                "responseCode": 0,
                "responseCodeDescription": "Successfully completed",
                "settlementDate": "2031-06-25",
                "sourceContractId": 70001,
                "sourceContractNumber": "871818______0074",
                "targetContractId": 54023689,
                "targetContractNumber": "161212______0128",
                "transactionDate": "2031-06-25T12:00:00Z"
            },
            "transactionTypeInfo": {
                "direction": "Credit",
                "requestCategory": "Request",
                "serviceClassCode": "M",
                "sourceCategory": "Device",
                "sourceCode": "CHANGE_PIN",
                "targetCategory": "Account",
                "transactionDocumentCategory": "PreAuth",
                "transactionTypeCode": "0719",
                "transactionType": "ATM transaction"
            },
            "transactionIdentifiers": {
                "arn": "06116638346121300000317",
                "authorizationCode": "981561",
                "originalTransactionDocumentId": 12479,
                "previousTransactionDocumentId": 8494,
                "paymentSchemeReferenceNumber": "17167",
                "rrn": "212357021766",
                "srn": "122357012766",
                "transactionId": 90001
            },
            "transactionAddInfo": {
                "addInfo": "PSCR=Y0;CVR=204000044000",
                "attributes1": "67;,ATM,TERM_UNATT,TERM,TERM_CHIP,TERM_KEY_ENTRY,AUTHENTICATED;",
                "attributes2": "CARD_CHIP,CHIP_SVC,READ_CHIP,DATA_TRACK,DATA_CHIP",
                "transactionCondition": "ATMC"
            },
            "transactionMerchantInfo": {
                "mcc": "6011",
                "mccDescription": "6011 ATM",
                "merchantCountry": "USA",
                "merchantLocation": "BERLIN",
                "merchantName": "desc"
            },
            "transactionValues": {
                "interchangeFee": 49.9,
                "interchangeFeeCurrency": "EUR",
                "interchangeFeeCurrencyNumericCode": "978",
                "reconciliationAmount": 209.9,
                "reconciliationCurrency": "EUR",
                "reconciliationCurrencyNumericCode": "978",
                "settlementAmount": 140.9,
                "settlementCurrency": "EUR",
                "settlementCurrencyNumericCode": "978",
                "sourceAmount": 130.9,
                "sourceCurrency": "EUR",
                "sourceCurrencyNumericCode": "978",
                "transactionFeeAmount": 123.1,
                "transactionFeeCurrency": "EUR",
                "transactionFeeCurrencyNumericCode": "978"
            }
        }
    ]
}
```

## Test case -- Success -- No Transaction Documents {#test-case--success--no-transaction-documents}

This test case describes retrieving transaction documents for a specified contract (account contract or card contract) that does not have any transactions in the declared timeframe.

For this test case, use the following information in the request:

|     Query parameter      | Available value |
|--------------------------|-----------------|
| `transaction_type_codes` | 1234            |

**Sample request**

`GET /contracts/45001/transactions?date_from=2031-06-25&date_to=2031-09-25&transaction_type_codes=1234&offset=0&limit=1`

**Sample response**

`200`

```JSON
{
    "count": 0,
    "limit": 10,
    "offset": 0,
    "total": 0,
    "transactionDocuments": []
}
```

